comparison docs/REQUIREMENTS @ 5944:82ad863c255e

clarify python-xml (pyxml) requirement
author Thomas Waldmann <tw AT waldmann-edv DOT de>
date Sat, 23 Feb 2013 18:28:30 +0100
parents 25900eaeb864
children d72a5e95c7c0
comparison
equal deleted inserted replaced
5943:51ea4cb7b390 5944:82ad863c255e
45 45
46 46
47 Requirements needed for some moin features 47 Requirements needed for some moin features
48 ========================================== 48 ==========================================
49 49
50 RSS feed: python-xml (pyxml) or python >= 2.5.1
51
52 GUI editor: python-xml (pyxml) - more precisely, this stuff is needed by the
53 html to wiki markup converter invoked when the gui editor posts
54 html on save. Status for python 2.5.x unknown.
55
56 Docbook formatter: python-xml (pyxml).
57
58 docbook parser: 4suite 1.0a4 or 1.0b1 50 docbook parser: 4suite 1.0a4 or 1.0b1
59 51
60 xslt parser: 4suite 1.0a4 or 1.0b1 52 xslt parser: 4suite 1.0a4 or 1.0b1
61 53
62 rst parser: docutils >= 0.3.10 54 rst parser: docutils >= 0.3.10
77 openidrp auth: openid python module 69 openidrp auth: openid python module
78 70
79 stats charts: gdchart python module 71 stats charts: gdchart python module
80 72
81 jabberbot: pyxmpp SVN revision 665 or release >= 1.0.1 73 jabberbot: pyxmpp SVN revision 665 or release >= 1.0.1
74
75 Only if you are using some python < 2.5.1, you likely will need python-xml
76 (pyxml) for some features. It should just work with python's standard library
77 for more recent python versions. Features needing this:
78 * the RSS feed (action/rss_rc)
79 * GUI editor converter (converter/text_html_text_moin_wiki)
80 * docbook formatter (formatter/text_docbook)
82 81
83 82
84 Bundled 3rd party code 83 Bundled 3rd party code
85 ====================== 84 ======================
86 85